package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否允许预约（1.允许，0.不允许）枚举类
*
* @author zxfei
*/
public enum CanorderEnum {
    允许(1, "允许"),
    不允许(0, "不允许");
    private Integer value;
    private String desc;

    CanorderEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static CanorderEnum getByValue(Integer value) {
        for (CanorderEnum canorderEnum : CanorderEnum.values()) {
            if (canorderEnum.getValue() == value) {
                return canorderEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (CanorderEnum item : CanorderEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}